Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.pcl.fonts
Enum PCLCharacterDefinition.PCLCharacterClass

    java.lang.Object
      java.lang.Enum<PCLCharacterDefinition.PCLCharacterClass>
          org.apache.fop.render.pcl.fonts.PCLCharacterDefinition.PCLCharacterClass

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PCLCharacterDefinition.PCLCharacterClass>

Enclosing class:
  PCLCharacterDefinition

    public static enum PCLCharacterDefinition.PCLCharacterClass

extends java.lang.Enum<PCLCharacterDefinition.PCLCharacterClass>

Character Class used in PCL Character Descriptor See Table 11-51 from PCL 5 Specification

Enum Constant Summary
`Bitmap`
`Compound_Contour_Intellifont`
`CompressedBitmap`
`Contour_Intellifont`
`TrueType`

Method Summary
`int` | `getValue()`
`static PCLCharacterDefinition.PCLCharacterClass` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PCLCharacterDefinition.PCLCharacterClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Bitmap

    public static final PCLCharacterDefinition.PCLCharacterClass Bitmap

### CompressedBitmap

    public static final PCLCharacterDefinition.PCLCharacterClass CompressedBitmap

### Contour_Intellifont

    public static final PCLCharacterDefinition.PCLCharacterClass Contour_Intellifont

### Compound_Contour_Intellifont

    public static final PCLCharacterDefinition.PCLCharacterClass Compound_Contour_Intellifont

### TrueType

    public static final PCLCharacterDefinition.PCLCharacterClass TrueType

Method Detail

### values

    public static PCLCharacterDefinition.PCLCharacterClass[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PCLCharacterDefinition.PCLCharacterClass c : PCLCharacterDefinition.PCLCharacterClass.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PCLCharacterDefinition.PCLCharacterClass valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.